diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
index 2b5b069e6..314c9c187 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
@@ -7,6 +7,11 @@
 //
 //////////////////////////////////////////////////////////////
 
+// import TypeSchema from './type.ui';
+import { getNodeListByName } from '../../../../../../../static/js/node_ajax';
+import { getNodePrivilegeRoleSchema } from '../../../../../static/js/privilege.ui';
+import TypeSchema, { getCompositeSchema, getRangeSchema, getExternalSchema, getDataTypeSchema } from './type.ui';
+
 define('pgadmin.node.type', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
   'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backform',
@@ -29,228 +34,6 @@ define('pgadmin.node.type', [
       });
   }
 
-  // Integer Cell for Columns Length and Precision
-  var IntegerDepCell = Backgrid.IntegerCell.extend({
-    initialize: function() {
-      Backgrid.NumberCell.prototype.initialize.apply(this, arguments);
-      Backgrid.Extension.DependentCell.prototype.initialize.apply(this, arguments);
-    },
-    dependentChanged: function () {
-      this.model.set(this.column.get('name'), null);
-      this.render();
-      return this;
-    },
-    remove: Backgrid.Extension.DependentCell.prototype.remove,
-  });
-
-  // Node-Ajax-Cell with Deps
-  var NodeAjaxOptionsDepsCell = Backgrid.Extension.NodeAjaxOptionsCell.extend({
-    initialize: function() {
-      Backgrid.Extension.NodeAjaxOptionsCell.prototype.initialize.apply(this, arguments);
-      Backgrid.Extension.DependentCell.prototype.initialize.apply(this, arguments);
-    },
-    dependentChanged: function () {
-      var model = this.model,
-        column = this.column,
-        editable = this.column.get('editable'),
-        input = this.$el.find('select').first();
-
-      var is_editable = _.isFunction(editable) ? !!editable.apply(column, [model]) : !!editable;
-      if (is_editable) {
-        this.$el.addClass('editable');
-        input.prop('disabled', false);
-      } else {
-        this.$el.removeClass('editable');
-        input.prop('disabled', true);
-      }
-
-      this.delegateEvents();
-      return this;
-    },
-    remove: Backgrid.Extension.DependentCell.prototype.remove,
-  });
-
-  // Composite type model declaration
-  var CompositeModel = Backform.CompositeModel = pgBrowser.Node.Model.extend({
-    idAttribute: 'attnum',
-    defaults: {
-      attnum: undefined,
-      member_name: undefined,
-      type: undefined,
-      tlength: undefined,
-      is_tlength: false,
-      precision: undefined,
-      is_precision: false,
-      collation: undefined,
-      min_val: undefined,
-      max_val: undefined,
-    },
-    type_options: undefined,
-    subtypes: undefined,
-    schema: [{
-      id: 'member_name', label: gettext('Member Name'),
-      type: 'text',  disabled: false, editable: true,
-    },{
-      id: 'type', label: gettext('Type'), control: 'node-ajax-options',
-      type: 'text', url: 'get_types', disabled: false, node: 'type',
-      cache_node: 'domain', editable: true,
-      cell: 'node-ajax-options', select2: {allowClear: false},
-      transform: function(d, control){
-        control.model.type_options =  d;
-        return d;
-      },
-    },{
-      // Note: There are ambiguities in the PG catalogs and docs between
-      // precision and scale. In the UI, we try to follow the docs as
-      // closely as possible, therefore we use Length/Precision and Scale
-      id: 'tlength', label: gettext('Length/Precision'), deps: ['type'], type: 'text',
-      disabled: false, cell: IntegerDepCell,
-      editable: function(m) {
-        // We will store type from selected from combobox
-        var of_type = m.get('type');
-        if(m.type_options) {
-          // iterating over all the types
-          _.each(m.type_options, function(o) {
-            // if type from selected from combobox matches in options
-            if ( of_type == o.value ) {
-              // if length is allowed for selected type
-              if(o.length)
-              {
-                // set the values in model
-                m.set('is_tlength', true, {silent: true});
-                m.set('min_val', o.min_val, {silent: true});
-                m.set('max_val', o.max_val, {silent: true});
-              } else {
-                // set the values in model
-                m.set('is_tlength', false, {silent: true});
-              }
-            }
-          });
-        }
-        return m.get('is_tlength');
-      },
-    },{
-      // Note: There are ambiguities in the PG catalogs and docs between
-      // precision and scale. In the UI, we try to follow the docs as
-      // closely as possible, therefore we use Length/Precision and Scale
-      id: 'precision', label: gettext('Scale'), deps: ['type'],
-      type: 'text', disabled: false, cell: IntegerDepCell,
-      editable: function(m) {
-        // We will store type from selected from combobox
-        var of_type = m.get('type');
-        if(m.type_options) {
-          // iterating over all the types
-          _.each(m.type_options, function(o) {
-            // if type from selected from combobox matches in options
-            if ( of_type == o.value ) {
-              // if precession is allowed for selected type
-              if(o.precision)
-              {
-                // set the values in model
-                m.set('is_precision', true, {silent: true});
-                m.set('min_val', o.min_val, {silent: true});
-                m.set('max_val', o.max_val, {silent: true});
-              } else {
-                // set the values in model
-                m.set('is_precision', false, {silent: true});
-              }
-            }
-          });
-        }
-        return m.get('is_precision');
-      },
-    },{
-      id: 'collation', label: gettext('Collation'),
-      cell: NodeAjaxOptionsDepsCell, deps: ['type'],
-      select2: {allowClear: false},
-      control: 'node-ajax-options', editable: function(m) {
-        var of_type = m.get('type'),
-          flag = false;
-        if(m.type_options) {
-          _.each(m.type_options, function(o) {
-            if ( of_type == o.value ) {
-              if(o.is_collatable)
-              {
-                flag = true;
-              }
-            }
-          });
-        }
-
-        if (flag) {
-          setTimeout(function(){
-            m.set('collspcname', '', {silent: true});
-          }, 10);
-        }
-        return flag;
-      },
-      type: 'text', disabled: false, url: 'get_collations', node: 'type',
-    }],
-    validate: function() {
-      var errmsg = null;
-
-      // Clearing previous errors first.
-      this.errorModel.clear();
-      // Validation for member name
-      if ( _.isUndefined(this.get('member_name')) ||
-        _.isNull(this.get('member_name')) ||
-          String(this.get('member_name')).replace(/^\s+|\s+$/g, '') == '') {
-        errmsg = gettext('Please specify the value for member name.');
-        this.errorModel.set('member_name', errmsg);
-        return errmsg;
-      }
-      else if ( _.isUndefined(this.get('type')) ||
-        _.isNull(this.get('type')) ||
-          String(this.get('type')).replace(/^\s+|\s+$/g, '') == '') {
-        errmsg = gettext('Please specify the type.');
-        this.errorModel.set('type', errmsg);
-        return errmsg;
-      }
-      // Validation for Length/Precision field (see comments above if confused about the naming!)
-      else if (this.get('is_tlength')
-        && !_.isUndefined(this.get('tlength'))) {
-        if (this.get('tlength') < this.get('min_val'))
-          errmsg = gettext('Length/Precision should not be less than %s.', this.get('min_val'));
-        if (this.get('tlength') > this.get('max_val') )
-          errmsg = gettext('Length/Precision should not be greater than %s.', this.get('max_val'));
-          // If we have any error set then throw it to user
-        if(errmsg) {
-          this.errorModel.set('tlength', errmsg);
-          return errmsg;
-        }
-      }
-      // Validation for scale field (see comments above if confused about the naming!)
-      else if (this.get('is_precision')
-        && !_.isUndefined(this.get('precision'))) {
-        if (this.get('precision') < this.get('min_val'))
-          errmsg = gettext('Scale should not be less than %s.', this.get('min_val'));
-        if (this.get('precision') > this.get('max_val'))
-          errmsg = gettext('Scale should not be greater than %s.', this.get('max_val'));
-          // If we have any error set then throw it to user
-        if(errmsg) {
-          this.errorModel.set('precision', errmsg);
-          return errmsg;
-        }
-      }
-      return null;
-    },
-  });
-
-  var EnumModel = Backform.EnumModel = pgBrowser.Node.Model.extend({
-    defaults: {
-      label: undefined,
-    },
-    schema: [{
-      id: 'label', label: gettext('Label'),type: 'text', disabled: false,
-      cellHeaderClasses: 'width_percent_99', editable: function(m) {
-        return _.isUndefined(m.get('label'));
-      },
-    }],
-    validate: function() {
-      return null;
-    },
-  });
-
   if (!pgBrowser.Nodes['type']) {
     pgBrowser.Nodes['type'] = schemaChild.SchemaChildNode.extend({
       type: 'type',
@@ -292,6 +75,9 @@ define('pgadmin.node.type', [
 
       },
       ext_funcs: undefined,
+      /* Few fields are kept since the properties tab for collection is not
+      yet migrated to new react schema. Once the properties for collection
+      is removed, remove this model */
       model: pgBrowser.Node.Model.extend({
         defaults: {
           name: undefined,
